WCS_ASTRO_TRANSFORM(3)

EXPERIMENTAL_FUNC
wcs_astro_transform - Transform between linear and projected co-ordinates.

SYNOPSIS
#include <karma_wcs.h>

flag wcs_astro_transform

(KwcsAstro ap, flag thread, unsigned int num_coords, double *ra, flag ra_to_linear, double *dec, flag dec_to_linear, double *vel, flag vel_to_linear, unsigned int num_restr, CONST char **restr_names, CONST double *restr_values)

DESCRIPTION
Transform between linear and projected co-ordinates.

ap  The KwcsAstro object.

thread
    If TRUE, the operation may be threaded, else it will not be.

num_coords
    The number of co-ordinates to transform.

ra  A pointer to the right ascension values. These will be modified.

ra_to_linear
    If TRUE the right ascension values are transformed to linear co-ordinates, else they are transformed to non-linear co-ordinates.

dec A pointer to the declination values. These will be modified.

dec_to_linear
    If TRUE the declination values are transformed to linear co-ordinates, else they are transformed to non-linear co-ordinates.

vel A pointer to the velocity values. These will be modified.

vel_to_linear
    If TRUE the velocity values are transformed to linear co-ordinates, else they are transformed to non-linear co-ordinates.

num_restr
    The number of restrictions.

restr_names
    The array of restriction names.

restr_values
    The restriction values.

RETURN VALUE
TRUE on success, else FALSE. If nothing is to be transformed, TRUE is returned.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/